Package org.apache.calcite.avatica

# Class MetaImpl.MetaTable

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaTable

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaTable extends Object implements MetaImpl.Named
Metadata describing a table.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`refGeneration`
`final String`
`remarks`
`final String`
`selfReferencingColName`
`final String`
`tableCat`
`final String`
`tableName`
`final String`
`tableSchem`
`final String`
`tableType`
`final String`
`typeCat`
`final String`
`typeName`
`final String`
`typeSchem`

## Constructor Summary

Constructors
Constructor
Description
`MetaTable(String tableCat, String tableSchem, String tableName, String tableType)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableCat

public final String tableCat

### tableSchem

public final String tableSchem

### tableName

public final String tableName

### tableType

public final String tableType

### remarks

public final String remarks

### typeCat

public final String typeCat

### typeSchem

public final String typeSchem

### typeName

public final String typeName

### selfReferencingColName

public final String selfReferencingColName

### refGeneration

public final String refGeneration

## Constructor Details

### MetaTable

public MetaTable(String tableCat, String tableSchem, String tableName, String tableType)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`